### Property

# GimpUi IntStore:user-data-type

since: 2.4

#### Declaration

    property user-data-type: GObject.Type [ read, write, construct-only ]

#### Description [src]

Sets the `GType` for the GIMP_INT_STORE_USER_DATA column.

You need to set this property when constructing the store if you want to use the GIMP_INT_STORE_USER_DATA column and want to have the store handle ref-counting of your user data.

Type:`GType`

Available since: 2.4

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes